## rtmpsrc rtmpsrc |

## Properties

gchar * | location | Read / Write

## Types and Values

struct | GstRTMPSrc

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstBaseSrc
                        ╰── GstPushSrc
                            ╰── GstRTMPSrc

## Implemented Interfaces

GstRTMPSrc implements GstURIHandler.

## Description

## Synopsis

### Element Information

plugin | rtmp
author | Bastien Nocera <hadess@hadess.net>, Sebastian Dröge <sebastian.droege@collabora.co.uk>
class | Source/File

### Element Pads

name | src
direction | source
presence | always
details | ANY

## Functions

## Types and Values

### struct GstRTMPSrc

    struct GstRTMPSrc;

## Property Details

### The `“location”` property

      “location”                 gchar *

Location of the RTMP url to read.

Flags: Read / Write

Default value: NULL